mdjxy63的博客

mdjxy63的博客

ubuntu python多版本切换问题

我们使用Pyenv来管理多版本的python

1.安装pyenv

参考链接:https://blog.csdn.net/wssywh/article/details/76143600

选择pyenv的安装路径,Ubuntu系统可以选择安装在home目录下,在命令窗口输入如下命令:

$ git clone https://github.com/pyenv/pyenv.git ~/.pyenv
  • 1

定义环境变量,在命令窗口依次输入如下命令:

$ echo 'export PYENV_ROOT="$HOME/.pyenv"' >> ~/.bashrc
$ echo 'export PATH="$PYENV_ROOT/bin:$PATH"' >> ~/.bashrc
$ echo 'eval "$(pyenv init -)"' >> ~/.bashrc

2.pyenv的使用

查看已经安装的python版本

$ pyenv versions
  • 1

这里写图片描述
*选择的sysytem是系统自带的Python版本

查看当前使用的python版本

$ pyenv version
  • 1

这里写图片描述
安装一个python版本如3.6.1

$  pyenv install 3.6.1
  • 1

卸载一个python版本如3.6.1

$  pyenv uninstall 3.6.1
  • 1

设置全局python版本如3.6.1【此时新开一个终端,就会显示python3.6.1版本】

$ pyenv global 3.6.1
  • 1

这里写图片描述

切换另一个python 版本,eg:python2.7.12,

python local 2.7.12

3.使用pip 安装依赖包

此时pip -V的存储路径就是pyenv路径下,直接通过pip install来安装依赖包即可

或者指明python的版本
python3.5 -m pip install --upgrade pip
python3.5 -m pip install matplotlib

由于我之前在python2.7.6安装了很多的依赖包,因此,如果想要切换的话,直接修改环境变量


4.遇到的问题:

安装python时出现Ignoring ensurepip failure:pip required SSL/TLS和There are no enabled repos

  sudo apt-get install libssl-dev

就可以了

阅读更多
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/mdjxy63/article/details/79954504
个人分类: ubuntu使用管理
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

不良信息举报

ubuntu python多版本切换问题

最多只允许输入30个字

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭